RNASUBOPT(l)

NAME
RNAsubopt - calculate suboptimal secondary structures of RNAs

SYNOPSIS
RNAsubopt [-e range] [-ep prange] [-s] [-p n] [-T temp] [-d[0|1|2|3]] [-4] [-noGU] [-noCloseGU] [-P paramfile] [-logML] [-nsp pairs] [-circ]

DESCRIPTION
RNAsubopt reads RNA sequences from stdin and (in the default -e mode) calculates all suboptimal secondary structures within a user defined energy range above the minimum free energy (mfe).It prints the suboptimal structures in bracket notation followed by the energy in kcal/mol to stdout. Be careful, the number of structures returned grows exponentially with both sequence length and energy range. Alternatively, when used with the -p option, RNAsubopt produces Boltzmann weighted samples of secondary structures. Sequences are read in the usual format, i.e. each sequence occupies a single line, possibly preceded by a fasta-style header line of the form
> name

OPTIONS

-e range
    Calculate suboptimal structures within range kcal/mol of the mfe. Default is 1.

-s  Sort the structures by energy. Since the sort in is done in memory, this becomes impractical when the number of structures produced goes into millions. In such cases better pipe the output through `sort +1n'.

-p n
    Instead of producing all suboptimals in an energy range, produce a random sample of n suboptimal structures, drawn with probabilities equal to their Boltzmann weights via stochastic backtracking in the partition function. The -e and -p options a mutually exclusive.

-d[0|1|2|3]
    Change treatment of dangling ends, as in RNAfold and RNAeval. The default is -d2 (as in partition function folding). If -d1 or -d3 are specified the structures are generated as with -d2 but energies are re-evaluated before printing.

-logML
    re-calculate energies of structures using a logarithmic energy function for multi-loops before output. This option does not effect structure generation, only the energies that is printed out. Since logML lowers energies somewhat, some structures may be missing.

-ep prange
    Only print structures with energy within prange of the mfe. Useful in conjunction with -logML, -d1 or -d3: while the -e option specifies the range before energies are re-evaluated, -ep specifies the maximum energy after re-evaluation.

-noLP
    Only produce structures without lonely pairs (helices of length 1). This reduces the number of structures drastically and should therefore be used for longer sequences and larger energy ranges.

-circ
    Assume a circular (instead of linear) RNA molecule.

The -T, -4, -noGU, -noCloseGU, -P, -nsp, options work as in RNAfold.

REFERENCES
Please cite:
S. Wuchty, W. Fontana, I. L. Hofacker and P. Schuster "Complete Suboptimal Folding of RNA and the Stability of Secondary Structures", Biopolymers, 49, 145-165 (1999)

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHORS
Ivo L Hofacker, Stefan Wuchty, Walter Fontana.
Send comments and bug reports to <rna@tbi.univie.ac.at>